[Total:0    Promedio:0/5]

Si has contratado uno de los VPS de OVH, puede que tú también te hayas encontrado con este problema. Al actualizar el VPS a Plesk Onyx nos quedamos sin acceso debido a un fallo bastante absurdo durante la instalación. No podemos acceder al panel de control, pero sí desde la consola, así que tendremos que abrir una terminal SSH para recuperar la interfaz. El error aparece tras actualizar un VPS de Plesk 12.x a 17.5.x, y tiene una solución realmente sencilla. Vamos a verla.

Error al actualizar el VPS a Plesk Onyx

Por defecto, en los VPS SSD y VPS Cloud de OVH, viene preinstalada la versión 12 de Plesk. Evidentemente, para disfrutar de algunas de las funcionalidades más recientes de este producto de Parallels, es imperativo actualizar a la última versión disponible. Si quieres tener Let’s Encrypt o los últimos módulos de Plesk como el de WordPress, te recomiendo que actualices a la versión más reciente posible.

En este caso, he actualizado desde la terminal un VPS CentOS 6 de Plesk 12 a Plesk 17, y me ha saltado el siguiente error durante la instalación:

“ssl_ciphers” directive is duplicate in /etc/nginx/conf.d/ssl.conf

Para asegurarnos de que se trata de este error del que vamos a hablar, basta con reiniciar el servicio de plesk mediante dos comandos. Esto provocará que todos los servicios hijos se vuelvan a ejecutar en cadena, y podremos saber exactamente qué está provocando el fallo al arrancar la interfaz. Ahora, introduce estos dos comandos en la terminal:

  • service psa stopall
  • service psa start

Una vez arrancado de nuevo el daemon psa, deberíamos ver en la consola un “failed” al lado del servicio sw_cp_server. El servicio no puede arrancar por el motivo que comentábamos arriba. Los cifrados SSL están duplicados en la configuración de Plesk y en los de nginx.

Si es así, tan solo ejecuta en la terminal la siguiente instrucción:

  • nano /etc/sw-cp-server/conf.d/ssl.conf

Te encontrarás con algo como esto:

  • ssl_ciphers HIGH:!aNULL:!MD5;
  • ssl_prefer_server_ciphers on;
  • ssl_protocols TLSv1 TLSv1.1 TLSv1.2;

Lo único que debes hacer es añadirle una almohadilla para comentar la línea a cada una de las tres opciones.

Deberá quedarte tal que así:

error al actualizar a plesk onyx solucion

Una vez guardado el fichero correctamente, se habrá solucionado el error al actualizar el VPS a Plesk Onyx de forma permantente, tras el reinicio. Simplemente reinicia el servicio de nginx con el comando service nginx restart.

Pin It on Pinterest

Shares